Get Single
Get Single Asset Market Cap
Retrieve market cap data for a specific asset
GET
/
v1
/
assets
/
{idOrSlug}
/
market-cap
Get Asset Market Cap
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rank": 2,
"usd": 4456.91,
"dominance": 11.9754,
"percent_change_btc_1h": -0.134556,
"percent_change_btc_24h": -1.56252,
"percent_change_usd_1h": 0.0999065,
"percent_change_usd_24h": -0.63777,
"percent_change_usd_7d": 2.94011,
"percent_change_usd_30d": 2.0461,
"percent_change_eth_1h": 0,
"percent_change_eth_24h": 0,
"updated_at": 1759940402,
"asset_code": "ETH",
"asset_slug": "ethereum"
}Overview
Get the current market cap information for a specific asset. This endpoint returns just the market cap data block withasset_code and asset_slug included.
Example Request
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.blockworks.com/v1/assets/ethereum/market-cap"
const res = await fetch(
'https://api.blockworks.com/v1/assets/ethereum/market-cap',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
)
const data = await res.json()
import requests
r = requests.get(
'https://api.blockworks.com/v1/assets/ethereum/market-cap',
headers={'x-api-key': 'YOUR_API_KEY'}
)
data = r.json()
Example Response
{
"rank": 2,
"usd": 4456.91,
"dominance": 11.9754,
"percent_change_btc_1h": -0.134556,
"percent_change_btc_24h": -1.56252,
"percent_change_usd_1h": 0.0999065,
"percent_change_usd_24h": -0.63777,
"percent_change_usd_7d": 2.94011,
"percent_change_usd_30d": 2.0461,
"percent_change_eth_1h": 0,
"percent_change_eth_24h": 0,
"updated_at": 1759940402,
"asset_code": "ETH",
"asset_slug": "ethereum"
}
Response Fields
| Field | Type | Description |
|---|---|---|
rank | number | Rank of the asset by market cap |
usd | number | Market cap in USD |
dominance | number | Market dominance percentage |
percent_change_btc_1h | number | Percentage change from BTC in the last 1 hour |
percent_change_btc_24h | number | Percentage change from BTC in the last 24 hours |
percent_change_usd_1h | number | Percentage change from USD in the last 1 hour |
percent_change_usd_24h | number | Percentage change from USD in the last 24 hours |
percent_change_usd_7d | number | Percentage change from USD in the last 7 days |
percent_change_usd_30d | number | Percentage change from USD in the last 30 days |
percent_change_eth_1h | number | Percentage change from ETH in the last 1 hour |
percent_change_eth_24h | number | Percentage change from ETH in the last 24 hours |
updated_at | number | Unix timestamp when market data was last updated |
asset_code | string | Asset code (e.g., “ETH”) |
asset_slug | string | Asset slug (e.g., “ethereum”) |
Notes
- This endpoint is equivalent to using
?expand=market_capon the/v1/assets/{idOrSlug}endpoint, but returns only the market cap data. - The response includes
asset_codeandasset_slugfor easy identification.
See also
Authorizations
Path Parameters
Response
Market cap data for the specified asset
Unix timestamp
Maximum string length:
20Maximum string length:
100